> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/fajlok-feltoltese-a-geopard-api-val.md).

# Fájlok feltöltése a GeoPard API-val

{% hint style="success" %}
A 6 MB-nál nagyobb fájlokhoz az ajánlott megoldás a [előre aláírt URL-es folyamat](/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/55.-zip-fajlok-feltoltese-6-mb-felett.md).
{% endhint %}

A GeoPard API lehetővé teszi zip archívumok feltöltését talaj/hozam/kijuttatott/határ adatkészletekkel további feldolgozáshoz és elemzéshez.

{% hint style="danger" %}
Egy AWS-korlátozás miatt a maximális fájlméret, amelyet ezen a REST végponton keresztül feltölthet, 6 MB.
{% endhint %}

A 6 MB-nál nagyobb fájlok feltöltési lépései itt vannak leírva: [Zip fájlok feltöltése (6 MB felett)](/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/55.-zip-fajlok-feltoltese-6-mb-felett.md).

Közvetlenül a talaj/hozam/kijuttatott adatkészlet sikeres feltöltése után a GeoPard motor hozzárendeli azt a meghatározott gazdaságon belül található kapcsolódó táblákhoz.

Közvetlenül a határ sikeres feltöltése után a GeoPard motor elindítja a feldolgozást.

A válasz tartalmaz egy `<uuid>` azonosítót, amelyet a feldolgozás állapotának nyomon követésére használhat.

#### Minta kérés:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

A paraméterek a következők:

1. `<type>` - a feltöltött adatkészlet típusa. Ennek a következők egyike kell legyen: `hozam` VAGY `talaj` VAGY `kijuttatott` VAGY `határ`.
2. `<farm_uuid>` - annak a `uuid` -je, amelyhez a fájlt feltöltik (opcionális).
3. `<token>` - GeoPard hozzáférési token.
4. `@path/to/file.zip` - a feltöltendő fájl elérési útja.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/fajlok-feltoltese-a-geopard-api-val.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
